Bug 7886 - swat module (for web_server) not found
swat module (for web_server) not found
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
unspecified
All Linux
: P3 minor
: ---
Assigned To: Andrew Tridgell
samba4-qa@samba.org
http://gitweb.samba.org/samba.git/?p=...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-24 01:37 UTC by Brad Hards
Modified: 2011-01-17 03:26 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brad Hards 2010-12-24 01:37:55 UTC
I tried enable the web_server module, and it complains about not finding swat.

It looks (with strace) like its looking through the python search path. It isn't clear to me whether swat/__init__.py should:
1. not be installed (instead being provided from somewhere else)
2. be installed to something in the python search path (like the other python modules)
3. be installed to somewhere special and that location added to the python search path for web_server
Comment 1 Jelmer Vernooij 2011-01-04 11:16:45 UTC
Swat is an external package - did you install it?

We should probably add a placeholder script explaining how to do so.
Comment 2 Matthias Dieter Wallnöfer 2011-01-12 14:06:59 UTC
Is this the TODO in this bug?

(In reply to comment #1)
> We should probably add a placeholder script explaining how to do so.

Comment 3 Matthias Dieter Wallnöfer 2011-01-17 03:26:32 UTC
This should have been fixed.